=== debian/control ===
Source: gpsd
Section: misc
Priority: optional
Maintainer: Bernd Zeimetz <bzed@debian.org>
Build-Depends: debhelper (>= 8.1.3~),
 python-all-dev (>= 2.6.6-3),
 python-all-dbg (>= 2.6.6-3),
 xsltproc, docbook-xsl, docbook-xml,
 libncurses-dev,
 libusb-1.0-0-dev [!hurd-any],
 libdbus-1-dev, libglib2.0-dev, libdbus-glib-1-dev, makedev,
 libbluetooth-dev [linux-any],
 libqt4-dev,
 lsb-release, bc,
 dpkg-dev (>= 1.15.6),
 scons (>= 2.0.1), chrpath,
 dh-buildinfo,
 pps-tools (>= 0.20120406+g0deb9c7e-2~) [linux-any],
 dh-systemd (>= 1.3)
Standards-Version: 3.9.2
Homepage: http://www.catb.org/gpsd/
Vcs-Browser: http://git.recluse.de/?p=debian/pkg-gpsd.git
Vcs-Git: git://git.recluse.de/debian/pkg-gpsd.git
X-Python-Version: >= 2.3

Package: gpsd
Architecture: any
Depends: netbase | systemd-sysv, lsb-base (>= 3.2-13),
 adduser (>= 3.34),
 ${shlibs:Depends}, ${misc:Depends},
 libgps21 (= ${binary:Version})
Recommends: udev [linux-any], ${python:Depends}, python
Breaks: ${gpsd:Breaks}
Suggests: gpsd-clients, dbus
Conflicts: fso-gpsd
Multi-Arch: foreign
Description: Global Positioning System - daemon
 The gpsd service daemon can monitor one or more GPS devices connected to
 a host computer, making all data on the location and movements of the
 sensors available to be queried on TCP port 2947.
 .
 With gpsd, multiple GPS client applications can share access to devices
 without contention or loss of data. Also, gpsd responds to queries with a
 format that is substantially easier to parse than the different standards
 emitted by GPS devices.

Package: gpsd-dbg
Architecture: any
Section: debug
Priority: extra
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
 libgps21 (= ${binary:Version}) | gpsd (= ${binary:Version}) | gpsd-clients (= ${binary:Version}) | python-gps (= ${binary:Version})
Description: Global Positioning System - debugging symbols
 The gpsd service daemon can monitor one or more GPS devices connected to
 a host computer, making all data on the location and movements of the
 sensors available to be queried on TCP port 2947.
 .
 This package contains the detached debug symbols for gpsd, gpsd-clients,
 python-gps, and libgps21.

Package: gpsd-clients
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 libgps21 (= ${binary:Version}),
 python-gps, python-gtk2, python-cairo, ${python:Depends}
Suggests: gpsd
Conflicts: gps
Breaks: ${python:Breaks}
Description: Global Positioning System - clients
 The gpsd service daemon can monitor one or more GPS devices connected to
 a host computer, making all data on the location and movements of the
 sensors available to be queried on TCP port 2947.
 .
 This package contains auxiliary tools and example clients for monitoring and
 testing gpsd.

Package: python-gps
Architecture: any
Section: python
Replaces: gpsd-clients (<< 2.34.dfsg-1)
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
 python (>= 2.6) | python-simplejson
Recommends: gpsd
Provides: ${python:Provides}
Breaks: ${python:Breaks}
Conflicts: python-json
Description: Global Positioning System - Python libraries
 The gpsd service daemon can monitor one or more GPS devices connected to
 a host computer, making all data on the location and movements of the
 sensors available to be queried on TCP port 2947.
 .
 This package contains a Python interface to connect to gpsd, together with
 a module providing a controlled testing environment. It also ships two tools
 which utilize the interface: gpsprof for latency-profiling, and gpsfake to
 simulate a GPS by playing back a logfile.

Package: libgps21
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: gpsd
Conflicts: fso-gpsd
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: Global Positioning System - library
 The gpsd service daemon can monitor one or more GPS devices connected to
 a host computer, making all data on the location and movements of the
 sensors available to be queried on TCP port 2947.
 .
 This package provides libgps, a C service library for querying GPS
 devices. It supports both a low-level interface, which communicates
 directly with the device to which the GPS is connected, and a high-level
 interface, which goes through gpsd and is intended for concurrent use by
 several applications.

Package: libgps-dev
Architecture: any
Section: libdevel
Depends: libgps21 (= ${binary:Version}), ${misc:Depends}, pkg-config
Conflicts: gpsd (<< 2.34.dfsg-1)
Description: Global Positioning System - development files
 The gpsd service daemon can monitor one or more GPS devices connected to
 a host computer, making all data on the location and movements of the
 sensors available to be queried on TCP port 2947.
 .
 This package contains the header and development files needed to build
 programs and packages using libgps.

Package: libqgpsmm21
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: Global Positioning System - Qt wrapper for libgps
 The gpsd service daemon can monitor one or more GPS devices connected to
 a host computer, making all data on the location and movements of the
 sensors available to be queried on TCP port 2947.
 .
 This package provides libQgpsmm, the Qt version of libgpsmm.
 It is a wrapper over libgps, the service library for querying GPS
 devices. libQgpsmm is available on all platforms which are supported
 by Qt4.

Package: libqgpsmm-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends}, pkg-config,
 libqgpsmm21 (= ${binary:Version}),
 libgps-dev (= ${binary:Version})
Description: Global Positioning System - Qt wrapper for libgps (development)
 The gpsd service daemon can monitor one or more GPS devices connected to
 a host computer, making all data on the location and movements of the
 sensors available to be queried on TCP port 2947.
 .
 This package provides libQgpsmm, the Qt version of libgpsmm.
 It is a wrapper over libgps, the service library for querying GPS
 devices. libQgpsmm is available on all platforms which are supported
 by Qt4.
